Đến nội dung


Hình ảnh
- - - - -

Quick Leader Dtext


  • Please log in to reply
6 replies to this topic

#1 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 14 March 2011 - 02:35 PM

Ngồi buồn, cậu em vừa nhờ viết cái Qleader dtext cho nhanh, cop paste 1 lát thấy có khi cũng cần thiết cho 1 số anh em, e post luôn.

(defun c:le (/ oldmod lst10 str ent)
(setq oldmod (getvar "modemacro")
oldlay (getvar "clayer"))
;(setvar "modemacro" "Free Lisp LE from Cad-viet @ketxu")
;(setvar "clayer" "KCVN-MANH") : layer net Leader
(defun loc (lst vl /) (setq lst (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) vl)) lst))))
(command "_qleader" pause pause pause)
(command \U+001B)
(setq ent (entget (entlast)))
(setq lst10 (loc ent 10))
(setq str (getstring T "\n Nhap text "))
;(setvar "clayer" "KCVN-TEXT") ; layer dtext
(setq mp (mapcar '+ (nth 1 lst10) (nth 2 lst10))
mp (mapcar '* mp '(0.5 0.5 0.5)))
(wtxt_l str (mapcar '+ mp '(0.0 0.7 00))) ; 0.7 : khoang cach text toi chan LE theo phuong Y
(setvar "modemacro" oldmod)
(setvar "clayer" oldlay)
)
(defun wtxt_l(txt p / sty d h1 h2 wf h) ;;;Write txt on graphic screen at p, midle bottom
(setq sty (getvar "textstyle")
d (tblsearch "style" sty)
h1 (cdr (assoc 40 d))
h2 (cdr (assoc 42 d))
wf (cdr (assoc 41 d)))
(if (> h1 0) (setq h h1) (setq h h2))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 40 h) (cons 41 wf)(cons 72 1)(cons 11 p) (cons 1 txt) (cons 10 p))))


P/S :e tâm đắc nhất chỗ nhấn nút ESC :D
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 14 March 2011 - 02:50 PM

Ngồi buồn, cậu em vừa nhờ viết cái Qleader dtext cho nhanh, cop paste 1 lát thấy có khi cũng cần thiết cho 1 số anh em, e post luôn.


(setvar "modemacro" "Free Lisp LE from Cad-viet @ketxu")


P/S :e tâm đắc nhất chỗ nhấn nút ESC :D

Cám ơn ketxu đã share.

Nhưng sau khi chạy thử Cad bị thay đổi nghiêm trọng quá ! :D
  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 14 March 2011 - 02:56 PM

Cám ơn ketxu đã share.

Nhưng sau khi chạy thử Cad bị thay đổi nghiêm trọng quá ! :D

hehe ^^ Em vẫn để đấy các bác cứ xóa thẳng tay đi th ^^. Cả những chỗ layer LE, layer Text nữa
Chẳng qua là cũng mún PR cadviet với quần chúng. hề hề.

(setvar "modemacro" oldmod)


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 14 March 2011 - 03:41 PM


(command \U+001B)
Định làm gì đây hả ketxu? ký tự trên mình cũng không tìm thấy trong bảng mã unicode

P/S :e tâm đắc nhất chỗ nhấn nút ESC :D

Tâm đắc cái giề? mình nhấn nút Esc có thấy gì đâu nào :angry:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 14 March 2011 - 03:58 PM

Dòng đấy tương đương với ấn ESC khi đang thực hiện lệnh QLeader bác ạ.Esc đúng chỗ nó đòi viết Mtext cho Leader ý ^^
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 14 March 2011 - 04:58 PM

Dòng đấy tương đương với ấn ESC khi đang thực hiện lệnh QLeader bác ạ.Esc đúng chỗ nó đòi viết Mtext cho Leader ý ^^

Ah há, vậy thì nó cũng giống thế này (command ^C)
Còn về biến modemacro, mình nghĩ thay vì dùng nó ta nên dùng hàm Grtext thì hay hơn
  • 1

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 March 2011 - 01:18 PM

Hề, cái modemacro thì k tính r ^^
Command ^C giwò e mới biết, cảm giác như Enter ấy hè
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC